NSRPMIG(8)

NAME
nsrpmig - premigrate files for long-term storage with NetWorker HSM

SYNOPSIS
nsrpmig [ -BEiLnpqvx ] [ -LL ] [ -s server ] [ -N name ] [ -f dirfile ] [ -b pool ] [ -g group ] [ -m masquerade ] [ -W width ] [ -C clone pool ] [ -I input file ] path

DESCRIPTION
nsrpmig premigrates files to the NetWorker server. Premigration means making a copy of a file on NetWorker storage in preparation for migration. When a file is later migrated, the on-disk copy of the file is replaced with a reference to the premigrated copy in NetWorker.

Currently, only regular files are premigrated. Criteria specified in the NetWorker migration client resource are used to select files for premigration. The progress of a nsrpmig session can be monitored using the X Window System based nwadmin(8) program or the curses(3X) based nsrwatch(8) program for other terminal types.

The nsrpmig command will not cross mount points, nor will it follow symbolic links. If the path to be saved is mounted from a network file server, nsrpmig will instruct the user to run the save on the remote machine or use the -L option.

The directive files, see nsr(5), encountered in each directory will be read by default. They contain special instructions directing how particular files are to be saved, such as compressed or skipped. These files are named .nsrhsm. Note that the directive files used by NetWorker for save and recover named .nsr are ignored by nsrpmig.

Each file in the subdirectory structures specified by the path arguments will be encapsulated in a NetWorker save stream. This stream of data is sent to a receiving process on the NetWorker server. See nsrd(8). The server processes the data, adding entries to the online index for each file in the stream. See nsrindexd(8). The data finally resides on some long term storage media. See nsrmmd(8).

Details about handling media are discussed in nsrmm(8) and nsr_device(5).

OPTIONS

-E  Estimates the amount of data which will be generated by the save, then perform the actual save. Note that the estimate is generated from the inode information, and thus the data is only actually read once.

-i  Ignores any .nsrhsm directive files as they are encountered in the subdirectory structures being saved.

-L  Indicates local. Saves will be performed from the local NetWorker client, even when files are from a network file server. To recover these files, run recover(8) with the -c client arguments, where client is the name of the NetWorker client that did the save.

-LL In addition to treating the backup as a local backup, this option causes an extra line to be printed at the end of the form ``complete savetime=number'', where number is the savetime of the save set created by this backup. This option is meant to be used by the savegrp(8) command in performing automatic cloning.

-m masquerade
    Specifies the tag to precede the summary line with. This option is used by savegrp(8) and savefs(8) to aid in savegrp summary notifications.

-n  Indicates no save. Estimates the amount of data which will be generated by the save, but does not perform the actual save.

-v  Indicates verbose. Causes the save program to report its progress.

-p  Exits with status 0. Is used by server to determine if client installed properly.

-q  Indicates quiet. Displays only summary information and error messages.

-s server
    Specifies which machine to use as the NetWorker server.

-N name
    Indicats the symbolic name of this save set. By default, the path argument is used as the save set name.

-f dirfile
    Indicates the file from which to read prototype default directives. See nsr(5). A dirfile of - causes the default directives to be read from standard input.

-b pool
    Specifies a particular destination pool for the save.

-g group
    Is used by savegrp(8) and savefs(8) to denote the group of the save. See nsr_client(5) and nsr_group(5). It is also used by the NetWorker server to select the specific media pool.

-C clone pool
    Generates a clone of this archive save set to the specified clone pool.

-I input_file
    In addition to taking the paths to save from the command line, this option reads paths to save from the named file. The paths must be listed one per line. If no paths are specified on the command line, then only those paths specified in the file will be saved.

-W width
    Indicates the width used when formatting summary information output.

-x  Indicates that if a subdirectory is a mount point, scan it also. This option currently has no effect.

-B  Forces a save of all connecting directory information from root (/) down to the point of invocation.

DIAGNOSTICS

  Exit Codes
0   Normal exit.
-1  Abnormal exit.

SEE ALSO
curses(3X), nsr_getdate(3), nsr(5), nsr(8), nsr_client(5), nsr_device(5), nsr_group(5), nsr_service(5), nsrd(8), nsrhsmck(8), nsrindexd(8), nsrmig(8), nsrmm(8), nsrmmd(8), nsrwatch(8), nwadmin(8), recover(8), save(8), savefs(8), savegrp(8).